<?php

declare(strict_types=1);

namespace mirzaev\surikovlib\controllers;

use mirzaev\surikovlib\controllers\core;
use mirzaev\surikovlib\models\accounts_model as accounts;

use Twig\Loader\FilesystemLoader;
use Twig\Environment as view;

/**
 * Контроллер основной страницы
 *
 * @package mirzaev\surikovlib\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class main_controller extends core
{
    public function index(array $vars = []): ?string
    {
        // Инициализация журнала ошибок
        $vars['errors'] = [];

        // Проверка аутентифицированности
        $vars['account'] = accounts::init(errors: $vars['errors']);

        // Генерация представления
        return $this->view->render(DIRECTORY_SEPARATOR . 'main' . DIRECTORY_SEPARATOR . 'index.html', $vars);
    }
}
